#include <Adafruit_NeoPixel.h>
#ifdef __AVR_ATtiny85__ // Trinket, Gemma, etc.
#include <avr/power.h>
#endif
#define PIN 0
Adafruit_NeoPixel pixels = Adafruit_NeoPixel(32, PIN);
uint8_t  mode   = 0, // Current animation effect
offset = 0; // Position of spinny eyes
uint32_t color  = 0x0066CC; // Start green
uint32_t prevTime;

void setup() {
#ifdef __AVR_ATtiny85__ // Trinket, Gemma, etc.
if(F_CPU == 16000000) clock_prescale_set(clock_div_1);
#endif
pixels.begin();
pixels.setBrightness(120); // 1/3 brightness
prevTime = millis();
}
 
void loop() {
uint8_t  i;
uint32_t t;
switch(mode) {

case 0: // Spinny wheels (8 LEDs on at a time)
for(i=0; i<16; i++) {
uint32_t c = 0;
if(((offset + i) & 7) < 2) c = color; // 4 pixels on...
pixels.setPixelColor(   i, c); // First eye
}
pixels.show();
offset++;
delay(40);

}
t = millis();
if((t - prevTime) > 8000) {      // Every 8 seconds...
mode++;                        // Next mode
if(mode > 1) {                 // End of modes?
mode = 0;                    // Start modes over  
color = 0x0066CC;                 // Next color G->B
if(!color) color = 0x0066CC; // Reset to green
}
for(i=0; i<32; i++) pixels.setPixelColor(i, 0);
prevTime = t;
}
}


